package com.toughra.ustadmobile.databinding;
import com.toughra.ustadmobile.R;
import com.toughra.ustadmobile.BR;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import android.view.View;
@SuppressWarnings("unchecked")
public class ItemBottomSheetOptionBindingImpl extends ItemBottomSheetOptionBinding implements com.toughra.ustadmobile.generated.callback.OnClickListener.Listener {

    @Nullable
    private static final androidx.databinding.ViewDataBinding.IncludedLayouts sIncludes;
    @Nullable
    private static final android.util.SparseIntArray sViewsWithIds;
    static {
        sIncludes = null;
        sViewsWithIds = null;
    }
    // views
    @NonNull
    private final androidx.constraintlayout.widget.ConstraintLayout mboundView0;
    @NonNull
    private final android.widget.TextView mboundView2;
    // variables
    @Nullable
    private final android.view.View.OnClickListener mCallback50;
    // values
    // listeners
    // Inverse Binding Event Handlers

    public ItemBottomSheetOptionBindingImpl(@Nullable androidx.databinding.DataBindingComponent bindingComponent, @NonNull View root) {
        this(bindingComponent, root, mapBindings(bindingComponent, root, 3, sIncludes, sViewsWithIds));
    }
    private ItemBottomSheetOptionBindingImpl(androidx.databinding.DataBindingComponent bindingComponent, View root, Object[] bindings) {
        super(bindingComponent, root, 0
            , (androidx.appcompat.widget.AppCompatImageView) bindings[1]
            );
        this.mboundView0 = (androidx.constraintlayout.widget.ConstraintLayout) bindings[0];
        this.mboundView0.setTag(null);
        this.mboundView2 = (android.widget.TextView) bindings[2];
        this.mboundView2.setTag(null);
        this.optionIcon.setTag(null);
        setRootTag(root);
        // listeners
        mCallback50 = new com.toughra.ustadmobile.generated.callback.OnClickListener(this, 1);
        invalidateAll();
    }

    @Override
    public void invalidateAll() {
        synchronized(this) {
                mDirtyFlags = 0x4L;
        }
        requestRebind();
    }

    @Override
    public boolean hasPendingBindings() {
        synchronized(this) {
            if (mDirtyFlags != 0) {
                return true;
            }
        }
        return false;
    }

    @Override
    public boolean setVariable(int variableId, @Nullable Object variable)  {
        boolean variableSet = true;
        if (BR.selectListener == variableId) {
            setSelectListener((com.ustadmobile.port.android.view.BottomSheetOptionSelectedListener) variable);
        }
        else if (BR.option == variableId) {
            setOption((com.ustadmobile.port.android.view.BottomSheetOption) variable);
        }
        else {
            variableSet = false;
        }
            return variableSet;
    }

    public void setSelectListener(@Nullable com.ustadmobile.port.android.view.BottomSheetOptionSelectedListener SelectListener) {
        this.mSelectListener = SelectListener;
        synchronized(this) {
            mDirtyFlags |= 0x1L;
        }
        notifyPropertyChanged(BR.selectListener);
        super.requestRebind();
    }
    public void setOption(@Nullable com.ustadmobile.port.android.view.BottomSheetOption Option) {
        this.mOption = Option;
        synchronized(this) {
            mDirtyFlags |= 0x2L;
        }
        notifyPropertyChanged(BR.option);
        super.requestRebind();
    }

    @Override
    protected boolean onFieldChange(int localFieldId, Object object, int fieldId) {
        switch (localFieldId) {
        }
        return false;
    }

    @Override
    protected void executeBindings() {
        long dirtyFlags = 0;
        synchronized(this) {
            dirtyFlags = mDirtyFlags;
            mDirtyFlags = 0;
        }
        java.lang.String optionLabel = null;
        com.ustadmobile.port.android.view.BottomSheetOptionSelectedListener selectListener = mSelectListener;
        com.ustadmobile.port.android.view.BottomSheetOption option = mOption;
        int optionIconId = 0;

        if ((dirtyFlags & 0x6L) != 0) {



                if (option != null) {
                    // read option.label
                    optionLabel = option.getLabel();
                    // read option.iconId
                    optionIconId = option.getIconId();
                }
        }
        // batch finished
        if ((dirtyFlags & 0x4L) != 0) {
            // api target 1

            this.mboundView0.setOnClickListener(mCallback50);
        }
        if ((dirtyFlags & 0x6L) != 0) {
            // api target 1

            androidx.databinding.adapters.TextViewBindingAdapter.setText(this.mboundView2, optionLabel);
            com.ustadmobile.port.android.view.binding.ImageViewBindingsKt.setImageResIdInt(this.optionIcon, optionIconId);
        }
    }
    // Listener Stub Implementations
    // callback impls
    public final void _internalCallbackOnClick(int sourceId , android.view.View callbackArg_0) {
        // localize variables for thread safety
        // selectListener != null
        boolean selectListenerJavaLangObjectNull = false;
        // option
        com.ustadmobile.port.android.view.BottomSheetOption option = mOption;
        // selectListener
        com.ustadmobile.port.android.view.BottomSheetOptionSelectedListener selectListener = mSelectListener;



        selectListenerJavaLangObjectNull = (selectListener) != (null);
        if (selectListenerJavaLangObjectNull) {



            selectListener.onBottomSheetOptionSelected(option);
        }
    }
    // dirty flag
    private  long mDirtyFlags = 0xffffffffffffffffL;
    /* flag mapping
        flag 0 (0x1L): selectListener
        flag 1 (0x2L): option
        flag 2 (0x3L): null
    flag mapping end*/
    //end
}